Updates the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "23d8fee7-849b-4cf2-94af-c10115e28195",
"user_id": "0358f84c-946a-45ca-a550-bff74ce92a93",
"user_planning_slot_type_id": "cc0fdaa4-35e0-4e43-b36d-d8f8a7ca6218",
"date_from": "2026-07-29T15:02:50.7702201+00:00",
"date_to": "2026-07-29T15:02:50.7702201+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-07-29T15:02:50.7702201+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.